corelinux::Adapter Class Reference

An Adapter converts the interface of a class into another interface that clients expect. More...

`#include <Adapter.hpp>`

## Public Member Functions

| Adapter (void)
| Default Constructor.
| Adapter (AdapterCref)
| Copy Constructor. More...
virtual | ~Adapter (void)
| Virtual Destructor.
AdapterRef | operator= (AdapterCref)
| Assignment operator overload. More...
bool | operator== (AdapterCref) const
| Equality operator overload. More...
bool | operator!= (AdapterCref) const
| Non-equality operator overload. More...

## Detailed Description

An Adapter converts the interface of a class into another interface that clients expect.

This allows classes work together that couldn't otherwise because of the incompatible interfaces. Sometimes a toolkit class that's designed for reuse isn't reusable only because its interface doesn't match the domain specific interface an application requires.

## Constructor & Destructor Documentation

corelinux::Adapter::Adapter | ( | AdapterCref |  | ) |

Copy Constructor.

Parameters

  Adapter | const reference

## Member Function Documentation

bool corelinux::Adapter::operator!= | ( | AdapterCref | aRef | ) | const

Non-equality operator overload.

Parameters

  Adapter | const reference

Returns
  false if equal, true otherwise

References operator==().

AdapterRef corelinux::Adapter::operator= | ( | AdapterCref |  | ) |

Assignment operator overload.

Parameters

  Adapter | const reference

Returns
  Adapter reference to self

bool corelinux::Adapter::operator== | ( | AdapterCref | aRef | ) | const

Equality operator overload.

Parameters

  Adapter | const reference

Returns
  true if equal, false otherwise

Referenced by operator!=().

The documentation for this class was generated from the following files:

- Adapter.hpp
- Adapter.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium